local gen = love.math.newRandomGenerator()
gen:setSeed(1)

function love.load()
	list = {}
end

function Random(min, max, isFractional)
	local randomNumber
	if isFractional then
		randomNumber = gen:random(min * 100, max * 100) / 100      -- math random doesn't play nice with decimals..
	else
		randomNumber = gen:random(min, max)
	end
	return randomNumber
end

function love.update(dt)
	list[#list + 1] = Random(-10, 10)
end

function love.draw()
	if #list > 0 then
		for i = 1, #list do
			love.graphics.print(list[i], 10, 10 * i)
		end
	end
end